.timeline {
  position: relative;
  max-width: 1200px;
  margin: 0 auto;
  padding: 40px 20px;
}
.timeline h3 {
  font-size: 2rem !important;
}

.timeline::after {
  content: "";
  position: absolute;
  width: 6px;
  background-color: #f3f3f3;
  top: 0;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  transition: left 0.3s ease;
  z-index: -100;
}

.timeline-item {
  position: relative;
  width: 50%;
  padding: 0 40px;
  box-sizing: border-box;
  opacity: 0;
  transform: translateY(50px);
  transition: all 0.6s ease;
}

.timeline-item:nth-child(odd) {
  left: 0;
}

.timeline-item:nth-child(even) {
  left: 50%;
}

.timeline-content {
  padding: 20px;
  background-color: white;
  position: relative;
  border-radius: 8px;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
  z-index: 4;
}

.timeline-content::before {
  content: "";
  position: absolute;
  width: 16px;
  height: 16px;
  background-color: #333;
  border-radius: 50%;
  top: 20px;
  transform: translateY(-50%);
  z-index: 3;
}

.timeline-content::after {
  content: "";
  position: absolute;
  width: 30px;
  height: 30px;
  border: 4px solid #333;
  border-radius: 50%;
  top: 20px;
  transform: translateY(-50%);
  z-index: 2;
}

.timeline-item:nth-child(odd) .timeline-content::before {
  right: -48px;
}

.timeline-item:nth-child(even) .timeline-content::before {
  left: -48px;
}

.timeline-item:nth-child(odd) .timeline-content::after {
  right: -55px;
}

.timeline-item:nth-child(even) .timeline-content::after {
  left: -55px;
}

/*.timeline-title {
  font-size: 2rem;
}*/
@media (max-width: 768px) {
  .timeline {
    padding: 40px 5px 40px 20px;
  }
  .timeline h3 {
    font-size: 1.2rem !important;
  }
  .timeline::after {
    left: 20px;
  }
  .timeline-item {
    width: 100%;
    padding-left: 30px;
    padding-right: 5px;
    padding-top: 20px;
  }
  .timeline-item:nth-child(odd),
  .timeline-item:nth-child(even) {
    left: 0;
  }
  .timeline-item:nth-child(odd) .timeline-content::before {
    left: -38px;
  }
  .timeline-item:nth-child(even) .timeline-content::before {
    left: -38px;
  }
  .timeline-item:nth-child(odd) .timeline-content::after {
    left: -45px;
  }
  .timeline-item:nth-child(even) .timeline-content::after {
    left: -45px;
  }
  /*.timeline-title {
    font-size: 0.8rem !important;
  }*/
}
@media (min-width: 769px) and (max-width: 992px) {
  .timeline h3 {
    font-size: 1.2rem !important;
  }
}
/* Animation Trigger */
@keyframes fadeInUp {
  from {
    opacity: 0;
    transform: translateY(10vh);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}